using UnityEngine;
using System.Collections;
using TMPro;

public class UI_HowToPlay : TM_UI_Base
{
    public GameManager theGame;

    public float fDelayBeforeNextScreen;

    void Awake()
    {
        theGame = GameObject.Find("GameManager").GetComponent<GameManager>();
    }

    public override void TurnOn()
    {
        base.TurnOn();
        fDelayBeforeNextScreen = 1.0f;
    }

    // Use this for initialization
    public override void Start()
    {

    }

    // Update is called once per frame
    public override void Update()
    {
        if (bFirstUpdate)
        {
            bFirstUpdate = false;
            TurnOff();
            return;
        }

        if (fDelayBeforeNextScreen >= 0.0f)
            fDelayBeforeNextScreen -= Time.deltaTime;
    }
}